Package ru.bitel.bgbilling.modules.drweb.server.bean

# Class AgentAVDManager

java.lang.Object
ru.bitel.common.dao.AbstarctDaoConstant
ru.bitel.common.dao.AbstractDao<B>
ru.bitel.common.dao.AbstractIdDao<AgentAVD>
ru.bitel.bgbilling.modules.drweb.server.bean.AgentAVDManager

All Implemented Interfaces:
  `java.lang.AutoCloseable`

    public class AgentAVDManager
    extends ru.bitel.common.dao.AbstractIdDao<AgentAVD>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class ru.bitel.common.dao.AbstractDao

  `ru.bitel.common.dao.AbstractDao.ResultSetIterator`

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.dao.AbstractDao

  `cacheFilter, cacheJoin, cacheOrderBy, cachePaged, cachePS, cacheWhat, con, getByIdPS, moduleId, orderByPattern, tableName`

  ### Fields inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `ERROR, fields, SQL_CALC_FOUND_ROWS, SQL_DELETE, SQL_DISTINCT, SQL_EQ, SQL_EQCS, SQL_FROM, SQL_GROUP, SQL_IN, SQL_INSERT, SQL_LIMIT, SQL_ON_DUPLICATE_KEY_UPDATE, SQL_ORDER, SQL_SELECT, SQL_SET, SQL_UPDATE, SQL_VALUES, SQL_WHERE`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `AgentAVDManager​(java.sql.Connection con, int mid)` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `void` | `checkAgents()` |
  `int` | `getActualAgentCount​(int cid)` |
  `int` | `getAgentCount​(int cid)` |
  `protected AgentAVD` | `getFromRS​(java.sql.ResultSet rs)` |
  `java.util.List<AgentAVD>` | `getListAll()` |
  `java.util.List<AgentAVD>` | `getListByDate​(java.util.Date date)` | Список агентов не продленных на дату
  `java.util.List<AgentAVD>` | `getListById​(int cid)` |
  `java.util.List<AgentAVD>` | `getListById​(int cid, java.util.Calendar date)` |
  `java.util.List<AgentAVD>` | `getListLockAgent()` |
  `java.util.List<AgentAVD>` | `getListWithNextStatus​(int nextStatus)` |
  `java.util.List<AgentAVD>` | `getListWithStatus​(int status, java.util.Calendar date)` |
  `protected void` | `updateImpl​(AgentAVD agent)` |
  `void` | `updateNotLog​(AgentAVD agent)` |

  ### Methods inherited from class ru.bitel.common.dao.AbstractIdDao

  `delete, get, getAndDelete, getAndUpdate`

  ### Methods inherited from class ru.bitel.common.dao.AbstractDao

  `close, delete, deleteImpl, eq, get, getById, getImpl, getListFromRS, getPeriod, getQueryById, getSQLOrder, getTableName, list, list, listImpl, listImpl, listImplPS, listImplPS, ormFromResultSet, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, ormUpdateImpl, processException, recycle, setStatementParam, update`

  ### Methods inherited from class ru.bitel.common.dao.AbstarctDaoConstant

  `getSQLOrder`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AgentAVDManager

    public AgentAVDManager​(java.sql.Connection con, int mid)

- ## Method Details

  - ### getFromRS

    protected AgentAVD getFromRS​(java.sql.ResultSet rs) throws java.sql.SQLException
    Specified by:
      `getFromRS` in class `ru.bitel.common.dao.AbstractDao<AgentAVD>`
    Throws:
      `java.sql.SQLException`

  - ### updateNotLog

    public void updateNotLog​(AgentAVD agent) throws java.sql.SQLException
    Throws:
      `java.sql.SQLException`

  - ### updateImpl

    protected void updateImpl​(AgentAVD agent) throws ru.bitel.bgbilling.common.BGException, java.sql.SQLException
    Specified by:
      `updateImpl` in class `ru.bitel.common.dao.AbstractDao<AgentAVD>`
    Throws:
      `ru.bitel.bgbilling.common.BGException`
      `java.sql.SQLException`

  - ### getListById

    public java.util.List<AgentAVD> getListById​(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListLockAgent

    public java.util.List<AgentAVD> getListLockAgent() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListWithNextStatus

    public java.util.List<AgentAVD> getListWithNextStatus​(int nextStatus) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListByDate

    public java.util.List<AgentAVD> getListByDate​(java.util.Date date) throws ru.bitel.bgbilling.common.BGException
    Список агентов не продленных на дату
    Parameters:
      `date` -
    Returns:
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListAll

    public java.util.List<AgentAVD> getListAll() throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getAgentCount

    public int getAgentCount​(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getActualAgentCount

    public int getActualAgentCount​(int cid) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### checkAgents

    public void checkAgents()

  - ### getListWithStatus

    public java.util.List<AgentAVD> getListWithStatus​(int status, java.util.Calendar date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`

  - ### getListById

    public java.util.List<AgentAVD> getListById​(int cid, java.util.Calendar date) throws ru.bitel.bgbilling.common.BGException
    Throws:
      `ru.bitel.bgbilling.common.BGException`